## ------------------------------------------------------------------------
suppressPackageStartupMessages(library(genbankr))
gb = readGenBank("sample.gbk")
gb

## ------------------------------------------------------------------------
genes(gb)

## ---- results='hide'-----------------------------------------------------
cds(gb)
exons(gb)
transcripts(gb)

## ---- results='hide'-----------------------------------------------------
variants(gb)
otherFeatures(gb)


## ------------------------------------------------------------------------
accession(gb)
vers(gb)

## ------------------------------------------------------------------------
seqinfo(gb)

## ------------------------------------------------------------------------
getSeq(gb)

## ------------------------------------------------------------------------
pg = parseGenBank("sample.gbk")
str(pg, max.level = 1)

## ------------------------------------------------------------------------
gbf = readGenBank("sample.gbk", ret.seq = FALSE)
gbf

## ------------------------------------------------------------------------
gbkfile = GenBankFile("sample.gbk")
gb2 = import(gbkfile)

## ------------------------------------------------------------------------
gba = GBAccession("U49845.1")
gba

## ------------------------------------------------------------------------
readGenBank(gba, partial=TRUE)

## ------------------------------------------------------------------------
getSeq(gbkfile)

## ------------------------------------------------------------------------
parseGenBank("sample.gbk", ret.anno=FALSE)

## ------------------------------------------------------------------------
gbr = readGenBank("sample.gbk")
tx = makeTxDbFromGenBank(gbr)
tx

